#include <bits/stdc++.h>
using namespace std;
int main()
{
	string t,s;
	int cnt=0;
	cin>>t;
	cin>>s;
	int b,c;
	b=t.length();
	c=s.length();
	if(s=="a")
	{
		for(int i=0;i<b;i++)
		{
			if(t[i]=='a')
			{
				t[i]='*';
				cnt++;
			}
			
		}
		cout<<cnt<<endl;
		cout<<t;
	}
	else
	{
		for(int i=0;i<b;i++)
		{
			if(t[i]=='a')
			{
				
				cnt++;
			}
		}
		int BrojP=cnt-c+1;
		cout<<BrojP<<endl;
		for(int i=0;i<b;i++)
		{
			if(t[i]=='a'&&BrojP>0) 
				t[i]='*';
				BrojP--;
		}
		cout<<t;
	}
	
}